$kind: http-request
url: "{{sahara_local}}sales/orders"
method: POST
headers:
  username: textugapp
  apiKey: db03834002ed60dfa53963cc66bbeeb730142a16fd1bbbb6e1ebca862a798359
body:
  type: json
  content: " {\r

    \    \"order_type\": \"item\", //service,item,custom\r

    \    \"quote_id\": \"0ae740e6-088c-4207-8639-a1269f1280ef\", //Nullable\r

    \   // \"customer_id\":\"12a0eaab-65a8-4609-8c5a-cb89968412d2\",//If there
    is no quote selected, they must select a customer, show this when no quote
    selected\r

    \    \"email_order\":true, //Yes or no sending true/false.. email will go
    out if selected\r

    \    \"order_date\": \"2024-01-16\",\r

    \    \"expected_delivery_date\": \"2024-01-25\",\r

    \    \"special_instructions\": \"Please ensure quality packaging\",\r

    \    \"lines\": [\r

    \        {\r

    \             \"quote_line_id\": \"be4c0cf8-045c-4d81-b7e6-8065477ea031\",
    //Needed if quote is selected above and then no need to show the name of
    item\r

    \            //\"name\":\"Item one\", //When they select order type custom
    they must provide a name in the items\r

    \           // \"item_id\":\"87ce2720-1c50-4936-8ef7-d3d4129ddb6b\", //When
    order type is item and quote not selected ensure they select the item_id\r

    \           // \"uom_id\":\"07f23704-67ec-4277-8205-018edecc26e9\", //This
    must be provided for order type Item\r

    \            \"qty_ordered\": 5000,\r

    \            \"unit_price\": 2.50,\r

    \            \"discount_pct\": 5,\r

    \            \"tax_pct\": 0\r

    \        }\r

    \    ]\r

    }"
auth:
  type: bearer
  credentials:
    token: "{{sahara_local_token}}"
order: 3000
